#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "omap.h"
#include <fbdev.h>

void
InitCard (char *name)
{   
	ENTER();
	KdCardAttr  attr;
	
	KdCardInfoAdd(&omapFuncs, &attr, 0);
	LEAVE();
}   

void
InitOutput (ScreenInfo *pScreenInfo, int argc, char **argv)
{
	ENTER();
	KdInitOutput(pScreenInfo, argc, argv);
	LEAVE();
}   

void
InitInput (int argc, char **argv)
{
#ifdef TOUCHSCREEN
	KdInitInput(&TsFuncs, &LinuxKeyboardFuncs);
#else
	KdInitInput(&LinuxMouseFuncs, &LinuxKeyboardFuncs);
#endif
}

void
ddxUseMsg (void)
{
	KdUseMsg();
}

int
ddxProcessArgument (int argc, char **argv, int i)
{
	return KdProcessArgument(argc, argv, i);
}



